Create an Auto Attendant

This API allows you to create a new Auto Attendant.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/auto_attendant \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "recording_type": "recording",
  "destination_type": "agent",
  .....
}
'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to create an Auto Attendant:

Variable NameDescriptionData Type
name*Name of Auto Attendant.string
description*Description of Auto Attendant.string
recording_ID*Unique ID of Recording.string
recording_type*Type of Recording.string
destination_type*Type of destination. Note: In case of hangup destination_id will always be 1.string
destination_id*Unique ID of Destination.string

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string
required

Name of auto attendant

string
required

Description of auto attendant

string
enum
required

Type of recording

Allowed:
string
enum
required

Type of destination. Note: in case of hangup destination_id will always be 1.

string
required

Recording ID

string
required

Destination ID. In case of hangup, use 1.

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json